Skip to main content
`Ctrl`+`K`

# TSMPRKSetType

Set the type of `TSMPRK` scheme

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMPRKSetType(TS ts, TSMPRKType mprktype)

Not Collective

## Input Parameters

- ts - timestepping context

- mprktype - type of `TSMPRK` scheme

## Options Database Key

- -ts_mprk_type - <pm2,p2,p3> - select the specific scheme

## See Also

TS: Scalable ODE and DAE Solvers, `TSMPRKGetType()`, `TSMPRK`, `TSMPRKType`

## Level

intermediate

## Location

src/ts/impls/multirate/mprk.c

## Implementations

TSMPRKSetType_MPRK() in src/ts/impls/multirate/mprk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages